[PC-BSD Commits] r12755 - in pcbsd/current: installcd-overlay/boot mfsroot-overlay/etc
svn at pcbsd.org
svn at pcbsd.org
Mon Sep 12 07:59:51 PDT 2011
Author: kris
Date: 2011-09-12 07:59:51 -0700 (Mon, 12 Sep 2011)
New Revision: 12755
Modified:
pcbsd/current/installcd-overlay/boot/loader.conf
pcbsd/current/mfsroot-overlay/etc/SetupInstall.sh
pcbsd/current/mfsroot-overlay/etc/SetupLive.sh
Log:
Only load the nvidia driver when necessary, seeing kernel panics on virtualbox with it loaded
all the time
Modified: pcbsd/current/installcd-overlay/boot/loader.conf
===================================================================
--- pcbsd/current/installcd-overlay/boot/loader.conf 2011-09-12 14:58:12 UTC (rev 12754)
+++ pcbsd/current/installcd-overlay/boot/loader.conf 2011-09-12 14:59:51 UTC (rev 12755)
@@ -44,6 +44,3 @@
# Disable acpi throttle by default, fixes issues with powerd and later AMDs
hint.acpi_throttle.0.disabled="1"
-
-# Load the nvidia driver
-nvidia_load="YES"
Modified: pcbsd/current/mfsroot-overlay/etc/SetupInstall.sh
===================================================================
--- pcbsd/current/mfsroot-overlay/etc/SetupInstall.sh 2011-09-12 14:58:12 UTC (rev 12754)
+++ pcbsd/current/mfsroot-overlay/etc/SetupInstall.sh 2011-09-12 14:59:51 UTC (rev 12755)
@@ -19,6 +19,12 @@
# Load the extra klds we need
/etc/rc.d/kld start
+# Check if we should load the nvidia driver
+/usr/sbin/pciconf -lv | grep -q -e "nVidia" -e "NVIDIA" -e "nvidia"
+if [ $? -eq 0 ] ; then
+ kldload nvidia
+fi
+
PATH="${PATH}:/usr/bin"
export PATH
Modified: pcbsd/current/mfsroot-overlay/etc/SetupLive.sh
===================================================================
--- pcbsd/current/mfsroot-overlay/etc/SetupLive.sh 2011-09-12 14:58:12 UTC (rev 12754)
+++ pcbsd/current/mfsroot-overlay/etc/SetupLive.sh 2011-09-12 14:59:51 UTC (rev 12755)
@@ -44,6 +44,12 @@
# Load the extra klds we need
/etc/rc.d/kld start
+# Check if we should load the nvidia driver
+/usr/sbin/pciconf -lv | grep -q -e "nVidia" -e "NVIDIA" -e "nvidia"
+if [ $? -eq 0 ] ; then
+ kldload nvidia
+fi
+
# Unmount the CD if using memory
if [ $MEM -gt $MDCHECK ]; then
/sbin/umount /cdmnt
More information about the Commits
mailing list